/* ************************************************************************** */
/*                                                                            */
/*                                                        ::::::::            */
/*   executor.h                                         :+:    :+:            */
/*                                                     +:+                    */
/*   By: willem <willem@student.codam.nl>             +#+                     */
/*                                                   +#+                      */
/*   Created: 2025/02/08 17:06:07 by willem        #+#    #+#                 */
/*   Updated: 2025/02/26 15:45:17 by whaffman      ########   odam.nl         */
/*                                                                            */
/* ************************************************************************** */

#ifndef EXECUTOR_H
# define EXECUTOR_H

# include "minishell.h"

char	*executor_absolute_path(t_minishell *msh, char *cmd);
void	executor_child(t_minishell *msh, t_command *command);
pid_t	executor_fork(t_minishell *msh, t_command *command);
void	executor_create_pipes(t_minishell *msh);
int		executor_execute_pipeline(t_minishell *msh);
void	executor_close_fds(int n_fds);
int		executor_count_fds(t_minishell *msh);
int		executor_open_fds(t_list *redirect_list, int og_fd);
void	executor_create_redirects(t_minishell *msh);

#endif // EXECUTOR_H
